/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */

#ifndef __GdomPluginArray_H___INT_
#define __GdomPluginArray_H___INT_
#include "glib-object.h"
#include "gdom/PrivateIntGdomDOMObject.h"
#include "GDOMObject.h"
#include "PluginArray.h"
namespace WebCore {
    gpointer toGDOM(PluginArray* node);
} /* namespace WebCore */ 
G_BEGIN_DECLS
class GDOMPluginArray : public GDOMObject {
    typedef GDOMObject Base;
public:
    int get_gobj_type() { return GDOM_TYPE_PLUGIN_ARRAY; }
    GDOMPluginArray(PassRefPtr<WebCore::PluginArray> impl);
    virtual ~GDOMPluginArray();
    WebCore::PluginArray* impl() const { return m_impl.get(); }

private:
    RefPtr<WebCore::PluginArray> m_impl;
};
G_END_DECLS

#endif /* __GdomPluginArray_H___INT_*/
